*{
    margin: 0;
    padding: 0;
}

body{
    background-color: #fff;
    font-family: "Poppins", serif;
}

/* Promo Head */
.nav-fixed{
    position: fixed;
    width: 100%;
    z-index: 2;
}
.promo-container{
    background-color: #000;
}
.promo-head{
    max-width: 1280px;
    margin: auto;
    padding: 0 10px;

    height: 50px;
    background-color: #000;
    color: #fff;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 14px;
}

/* navbar */
.navbar-container{
    background-color: #fff;
    border-bottom: 1px solid rgb(228, 228, 228);
}
.nav-head{
    max-width: 1280px;
    margin: auto;
    padding: 0 10px;

    height: 80px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.nav-menus{
    display: flex;
    gap: 25px;
    align-items: center;
}
.nav-menus p{
    color: #000;
    transition: .3s;
    cursor: pointer;
}
.nav-menus p:hover{
    color: #f47bff;
}
#active{
    color: #ec44fb;
    font-weight: 500;
}
.primary-btn{
    padding: 15px 40px;
    font-size: 16.5px;
    background-color: #ec44fb;
    border: none;
    transition: all .3s;
    cursor: pointer;
    border-radius: 5px;
}
.primary-btn:hover{
    color: #fff;
}
.menu-bar-small-screen{
    /* Menubar Small Screen */
    display: none;
}

/* Side Nav Bar */
.side-nav-bar{
    background-color: #ec44fb;
    width: 100%;
    height: 100vh;
    position: absolute;
    top: 0;
    position: fixed;
    /* Work with Js */
    left: -120%;
    transition: .5s;
    z-index: 2;
}
.close-window{
    margin-top: 20px;
    position: absolute;
    right: 30px;
}
.close-window i{
    color: #000;
    transition: .3s;
    cursor: pointer;
}
.close-window i:hover{
    color: #fff;
}
.side-nav-screen p{
    margin-left: 30px;
    margin-top: 50px;
    margin-bottom: 40px;
    transition: .3s;
    cursor: pointer;
}
.side-nav-screen p:hover{
    color: #fff;
}

/* Dropdown Nav Bar */
.blure-bg{
    /* background-color: #eef1f4; */
    background-color: rgba(0, 0, 0, 0.4);
    height: 100vh;
    width: 100%;
    position: absolute;
    top: 131px;
    left: 0;
    position: fixed;
    display: none;
}
.drop-down-nav-shopping{
    position: relative;
    display: none;
    transition: 1s all;
    z-index: 2;
}
.drop-nav-menu{
    background-color: #fff;
    width: 100%;
    position: absolute;
    top: 131px;
    left: 0;
    position: fixed;
}
.drop-nav-header{
    background-color: #e9eff0;
}
.drop-nav-main-header{
    max-width: 1280px;
    margin: auto;
    padding: 10px;
    height: 40px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.drop-nav-main-header > p, .drop-nav-main-header > i{
    cursor: pointer;
}
.drop-nav-products{
    max-width: 1280px;
    margin: auto;
    padding: 10px;
    height: 300px;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.product-one{
    padding: 10px;
    background-color: #f1f4f5;
    border-radius: 5px;
    cursor: pointer;

    transition: .3s all;
}
.product-one:hover{
    box-shadow: rgba(0, 0, 0, 0.05) 0px 6px 24px 0px, rgba(0, 0, 0, 0.08) 0px 0px 0px 1px;
}
.product-one > img{
    width: 260px;
    border-radius: 5px;
}
.product-one > p:nth-child(2){
    font-size: 18px;
    font-weight: 500;
    margin-bottom: 10px;
}
.product-one > p:nth-child(3){
    font-size: 15px;
    font-weight: 500;
    color: #0011ff;
    cursor: pointer;
}

/* Hero-Banner */
.hero-banner-container{
    background-color: #f8f6f6;
    height: auto;
}
.hero-banner{
    max-width: 1280px;
    margin: auto;
    padding: 200px 10px 100px;
    /* height: 800px; */
    height: auto;
    display: flex;
    justify-content: space-between;
    align-items: center;
}
.hero-banner-left h2{
    font-size: 52px;
    margin-bottom: 30px;
    color: #000;
    font-weight: 500;
}
.hero-banner-left p{
    font-size: 16.5px;
    line-height: 2.2rem;
    margin-bottom: 30px;
}
.hero-banner-left > .doubble-btn > .view-btn{
    padding: 15px 45px;
    border: 3px solid black;
    border-radius: 5px;
    background-color: transparent;
    font-size: 16.5px;
    transition: .3s;
    cursor: pointer;
}
.hero-banner-left > .doubble-btn > .view-btn:hover{
    border: 3px solid #000;
    background-color: #000;
    color: #fff;
}
.hero-banner-left > .doubble-btn > .shop-btn{
    padding: 15px 45px;
    border: 3px solid #ec44fb;
    border-radius: 5px;
    background-color: #ec44fb;
    font-size: 16.5px;
    color: white;
    cursor: pointer;
    transition: .3s;
}
.hero-banner-left > .doubble-btn > .shop-btn:hover{
    background-color: #ec44fb;
    border: 3px solid #ec44fb;
    color: #000;
}
.hero-banner-right img{
    width: 530px;
    cursor: pointer;
}

/* First Banner */
.first-banner{
    max-width: 1280px;
    margin: auto;
    padding: 0 10px;
}
.first-banner-container{
    background-color: #f8f6f6;
    padding-bottom: 60px;
}
.first-banner > .box{
    height: auto;
    border-radius: 5px;
    background-color: #171717;
    display: flex;
    justify-content: space-around;
    align-items: center;
    padding: 30px 20px;
    gap: 30px;
    box-shadow: rgba(100, 100, 111, 0.2) 0px 7px 29px 0px;
}
.first-banner > .box > .box-left > i{
    font-size: 32px;
}
.first-banner > .box > .box-right{
    display: flex;
    gap: 10px;
}
.first-banner > .box > .box-right p{
    padding: 10px 20px;
    background-color: #3a3a3a;
    border-radius: 5px;
    cursor: pointer;
    color: aliceblue;
    font-size: 14.5px;
}
.content-page-two{
    height: 800px;
}

/* content-page-one */
.content-page-one-container{
    max-width: 1280px;
    margin: auto;
    padding: 100px 10px 10px;
}
.content-page-one-container h2{
    width: 800px;
    font-size: 34.5px;
    line-height: 3.8rem;
    font-weight: 600;
    margin-bottom: 40px;
    color: rgb(91, 91, 91);
}
.c-p-o-c-box-one{
    height: auto;
    border-radius: 5px;
    background-color: #000000;

    display: flex;
    gap: 20px;
    padding: 20px;
    color: #fff;
    justify-content: space-between;

    box-shadow: rgba(99, 99, 99, 0.2) 0px 2px 8px 0px;
    margin-bottom: 100px;
}
.c-p-o-c-box-one-left{
    width: 50%;
}
.c-p-o-c-box-one-left > p:nth-child(1){
    font-size: 24px;
    font-weight: 500;
    margin-bottom: 20px;
}
.c-p-o-c-box-one-left > p:nth-child(2), .c-p-o-c-box-one-left > p:nth-child(3){
    font-size: 14px;
    font-weight: 300;
    color: rgb(230, 230, 230);
    margin-bottom: 10px;
    line-height: 1.4rem;
}
.dash{
    border: 2px solid #ec44fb;
    width: 60px;
    margin: 20px 0;
}
.c-p-o-c-box-one-left > .check-one{
    display: flex;
    gap: 10px;
    margin-top: 15px;
}
.c-p-o-c-box-one-left > .check-one > img{
    width: 18px;
    height: 18px;
}
.c-p-o-c-box-one-left > .check-one > p{
    font-size: 14px;
    color: rgb(230, 230, 230);
}
.membership-btn button{
    margin-top: 18px;
    padding: 13px 45px;
    font-size: 16px;
    background-color: #ec44fb;
    border: none;
    border-radius: 3px;
    transition: .3s;
    cursor: pointer;
    font-weight: 500;
}
.membership-btn button:hover{
    background-color: #f47bff;
}
.c-p-o-c-box-one-right{
    width: 50%;
}
.c-p-o-c-box-one-right img{
    width: 100%;
}

/* Content-Page-Two */
.content-page-two{
    padding: 50px 0 100px;
    background-color: rgb(246, 243, 249);
    height: auto;
} 
.content-page-two-container{
    max-width: 1280px;
    margin: auto;
    padding: 10px;
    z-index: 1;
}
.content-page-two-container > .c-p-t-c-heading > h2{
    font-size: 28px;
    font-weight: 600;
    margin: 20px 0;
}
.content-page-two-container > .c-p-t-c-heading > p{
    color: #3a3a3a;
    margin-bottom: 50px;
}
.c-p-t-c-boxes{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
}
.c-p-t-c-box-one{
    border: 1px solid rgb(212, 190, 233);
    background-color: rgb(237, 227, 248);
    border-radius: 5px;
    padding: 20px;
    margin-bottom: 8px;
    flex-basis: 23%;
    flex-grow: 1;

    position: relative;
}
.c-p-t-c-box-one-img > img{
    width: 80px; 
    position: absolute;
    right: 0;
    bottom: 0;
}
.c-p-t-c-box-one > h3{
    font-weight: 600;
    margin-bottom: 10px;
}
.c-p-t-c-box-one > p{
    font-weight: 400;
    margin-bottom: 10px;
}

/* Services Container */
.services-container{
    background-color: #fff;
    margin: 100px 0;
}
.services-main-container{
    max-width: 1280px;
    margin: auto;
    padding: 10px;
}
.services-main-container > h3{
    text-align: center;
    font-size: 28px;
    font-weight: 600;
}
.services-main-container > p{
    font-size: 15.5px;
    text-align: center;
    margin-top: 15px;
    line-height: 1.8rem;
}
/* service-product-list */
.service-product-list{
    display: flex;
    flex-wrap: wrap;
    gap: 35px;
    margin-top: 80px;
}
.first-product, .second-product, .third-product{
    flex-basis: 28%;
    border: 1px solid rgb(212, 190, 233);
    background-color: rgb(254, 252, 255);
    border-radius: 5px;
    padding: 20px;
    flex-grow: 1;
}
.first-product-img, .second-product-img, .third-product-img{
    width: 100%;
    overflow: hidden;
    border-radius: 3px;
}
.first-product-img img, .second-product-img img, .third-product-img img{
    width: 100%;
    cursor: pointer;
    transition: .8s;
    border-radius: 3px;
}
.first-product-img:hover img, .second-product-img:hover img, .third-product-img:hover img{
    transform: scale(1.1);
}
.first-product > h3, .second-product > h3, .third-product > h3{
    font-size: 20px;
    font-weight: 600;
    margin: 10px 0;
}
.first-product > p, .second-product > p, .third-product > p{
    font-size: 15px;
    font-weight: 400;
    margin: 10px 0;
    color: #3a3a3a;
}
.dealer-btn > button{
    padding: 12px 40px;
    margin-top: 10px;
    background-color: #f374ff;
    border-radius: 3px;
    border: none;
    font-size: 15.5px;
    color: #000;
    transition: .3s;
    cursor: pointer;
}
.dealer-btn > button:hover{
    letter-spacing: 1px;
}

/* Community Section */
.community-container{
    background-color: #fff;
    padding: 60px 0 60px;
    background-color: #f5edf5;
}
.community{
    max-width: 1280px;
    margin: auto;
    padding: 10px;
}
.community-heading{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.community-heading > p:nth-child(1){
    margin-bottom: 20px;
}
.community-heading > h2{
    font-size: 32px;
    margin-bottom: 10px;
    text-align: center;
}
.community-heading > p:nth-child(3){
    margin-bottom: 30px;
    text-align: center;
}
.person-img-container{
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
}
.person-img-container > img{
    width: 100px;
}
.four-boxes{
    display: flex;
    gap: 20px;
    margin-top: 50px;
    flex-wrap: wrap;
    justify-content: center;
}
.four-boxes > .box-one, .four-boxes > .box-two, .four-boxes > .box-three, .four-boxes > .box-four{
    padding: 20px;
    background-color: #e8d8ea;
    flex-basis: 20%;
    border-radius: 5px;
}
.four-boxes > .box-one > h3, .four-boxes > .box-one > p,
.four-boxes > .box-two > h3, .four-boxes > .box-two > p,
.four-boxes > .box-three > h3, .four-boxes > .box-three > p,
.four-boxes > .box-four > h3, .four-boxes > .box-four > p{
    text-align: center;
    margin-bottom: 5px;
}

/* MERN Stack Banner */
.mern-main-container{
    max-width: 1280px;
    margin: auto;
    padding: 10px;
}
.mern-headings{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.mern-headings > p{
    margin-top: 100px;
}
.mern-headings > h2{
    font-size: 32px;
    margin: 20px 0 10px;
}
.mern-content-box{
    margin: 30px 0 100px;
    padding: 20px;
    border: 1px solid gainsboro;
    border-radius: 5px;
    box-shadow: rgba(50, 50, 93, 0.25) 0px 6px 12px -2px, rgba(0, 0, 0, 0.3) 0px 3px 7px -3px;
}
.mern-content-box .ly-one{
    display: flex;
    gap: 20px;
    align-items: center;
}
.mern-content-box .ly-one > img{
    width: 70px;
}
.mern-content-box .ly-one > h2{
    font-size: 28px;
    font-weight: 600;
}
.ly-two{
    display: flex;
    align-items: center;
}
.line-container{
    display: flex;
    justify-content: center;
    margin: 10px 0;
}
.underline{
    border: .5px dotted rgb(202, 202, 202);
    width: 100%;
    margin: 10px 0;
}
.course-content{
    display: flex;
    gap: 10px;
    flex-wrap: wrap;
}
.course-content > p:nth-child(1){
    padding: 10px 25px;
    border-radius: 3px;
    background-color: #e4ddc0;
}
.course-content > p:nth-child(2){
    padding: 10px 25px;
    border-radius: 3px;
    background-color: #bbeaee;
}
.course-content > p:nth-child(3){
    padding: 10px 25px;
    border-radius: 3px;
    background-color: #daeebb;
}
.course-content > p:nth-child(4){
    padding: 10px 25px;
    border-radius: 3px;
    background-color: #bbe7ee;
}
.course-content > p:nth-child(5){
    padding: 10px 25px;
    border-radius: 3px;
    background-color: #d3bbee;
}
.course-content > p:nth-child(6){
    padding: 10px 25px;
    border-radius: 3px;
    background-color: #eebbdd;
}
.course-content > p:nth-child(7){
    padding: 10px 25px;
    border-radius: 3px;
    background-color: #eebbbb;
}
.course-content > p:nth-child(8){
    padding: 10px 25px;
    border-radius: 3px;
    background-color: #bbeedf;
}
.course-details{
    margin-top: 40px;
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.course-details > .left{
    display: flex;
    gap: 25px;
}
.left > .one,
.left > .two,
.left > .three,
.left > .four{
    display: flex;
    gap: 10px;
    align-items: center;
    color: #3a3a3a;
}
.enroll-btn{
    padding: 15px 45px;
    border: none;
    background-color: #010c50;
    color: #fff;
    font-size: 16px;
    font-weight: 500;
    border-radius: 6px;
    transition: .3s all;
    cursor: pointer;
}
.enroll-btn:hover{
    background-color: #000f73;
}

/* Review Section */
.review-main-container{
    max-width: 1280px;
    padding: 10px;
    margin: auto;
}
.review-heading{
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center;
}
.review-heading > h2{
    font-size: 32px;
    font-weight: 600;
    margin: 20px 0 10px;
}
.review-boxes{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    margin: 25px 0 25px;
    justify-content: center;
}
.review-box-one{
    border: 1px solid rgb(176, 176, 176);
    border-radius: 5px;
    padding: 20px;
    flex-basis: 25%;
    flex-grow: 1;
}
.review-box-two{
    border: 1px solid rgb(176, 176, 176);
    border-radius: 5px;
    padding: 20px;
    flex-basis: 35%;
    flex-grow: 1;
}
.review-box-three{
    border: 1px solid rgb(176, 176, 176);
    border-radius: 5px;
    padding: 20px;
    flex-basis: 25%;
    flex-grow: 1;
}
.review-box-one > .review-box-one-profile, 
.review-box-two > .review-box-two-profile,
.review-box-three > .review-box-three-profile{
    display: flex;
    gap: 10px;
    align-items: center;
    margin-top: 20px;
}
.review-box-one-profile > img,
.review-box-two-profile > img,
.review-box-three-profile > img{
    width: 60px;
}
.one-profile-name > p:nth-child(1),
.two-profile-name > p:nth-child(1){
    font-size: 16.5px;
    font-weight: 600;
}
.review-btn-container{
    display: flex;
    justify-content: center;
    margin-top: 30px;
}
.review-btn{
    padding: 10px 55px;
    font-size: 15.5px;
    font-weight: 500;
    border: none;
    border-radius: 3px;
    background-color: #ec44fb;
    margin-bottom: 100px;
    transition: .3s all;
    cursor: pointer;
}
.review-btn:hover{
    background-color: #f374ff;
}


/* Footer */
footer{
    background-color: #181818;
}
.footer-container{
    background-color: #181818;
    max-width: 1280px;
    padding: 10px;
    margin: auto;
}
.footer-main-container{
    display: flex;
    flex-wrap: wrap;
    gap: 20px;
    padding-top: 50px;
}
.footer-section-one{
    flex-basis: 28%;
}
.footer-section-two{
    flex-basis: 15%;
}
.footer-section-three{
    flex-basis: 15%;
}
.footer-section-four{
    flex-basis: 32%;
}
.footer-section-one > h3, .footer-section-two > h3, .footer-section-three > h3{
    color: #fff;
    font-weight: 600;
    font-size: 20px;
    margin-bottom: 30px;
}
.footer-section-one > p, .footer-section-two > p, .footer-section-three > p{
    color: #ebebeb;
    font-size: 14.5px;
    font-weight: 300;
    margin-bottom: 10px;
    transition: .3s;
    cursor: pointer;
}
.footer-section-one > p:hover, .footer-section-two > p:hover, .footer-section-three > p:hover{
    color: #ec44fb;
}
.footer-address-box > h3{
    color: #fff;
    font-weight: 600;
    font-size: 20px;
    margin-bottom: 30px;
}
.footer-address-box > p:nth-child(2){
    color: #ebebeb;
    font-size: 14.5px;
    font-weight: 300;
    margin-bottom: 10px;
    line-height: 1.8rem;
}
.footer-address-box > p:nth-child(3){
    color: #ebebeb;
    font-size: 14.5px;
    font-weight: 300;
    margin: 20px 0 20px;
}
.footer-address-box > p:nth-child(4){
    color: #ebebeb;
    font-size: 14.5px;
    font-weight: 300;
    margin: 20px 0 20px;
}
.social-icons > i{
    font-size: 28px;
    color: #fff;
    margin-right: 10px;
    transition: .3s all;
    cursor: pointer;
}
.social-icons > i:hover{
    transform: translateY(-4px)
}
.line{
    border: .5px solid rgb(101, 101, 101);
    width: 100%;
    margin: 20px 0;
}
.company-profile{
    display: flex;
    align-items: center;
    justify-content: space-between;
    color: #ebebeb;
    font-size: 14.5px;
    font-weight: 300;
}

/* lEARN MORE */
.learn-btn{
    height: 100vh;
    width: 100%;
    background-color: #f2d6f6;

    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    z-index: 3;
    position: fixed;
    display: none;
    transition: all .3s;
}
.learn-container{
    max-width: 1280px;
    margin: auto;
    padding: 10px;
}
.learn-header{
    height: 30px;
    padding: 20px;
    border: 1px solid rgb(55, 55, 55);
    border-radius: 5px;

    display: flex;
    justify-content: space-between;
    align-items: center;

    margin-top: 50px;
}
.learn-header > i{
    color: #212121;
    transition: .3s;
    cursor: pointer;
}
.learn-header > i:hover{
    color: #828282;
}
.learner-body{
    padding: 20px;
    border: 1px solid rgb(55, 55, 55);
    border-radius: 5px;
    margin-top: 20px;
    overflow-x: scroll;
}
.learner-body > p{
    margin-bottom: 20px;
    font-weight: 400;
    color: #3a3a3a;
}

/* Whatsapp */
.whatsapp{  
    right: 30px;
    bottom: 30px;
    position: fixed;
}
.whatsapp > img{
    width: 60px;
    cursor: pointer;
    transition: all .3s;
}
.whatsapp > img:hover{
    transform: translateY(-5px);
}
